# common makefile defs for all sample programs

OSROOTDIR = ../..
ACROOTDIR = ../../../..
LIBDIR = ../../lib
LIBDDIR = ../../libd
DLLDIR  = ../../dll
CSTA_SRCDIR  = ../../src/csta
ACSE_SRCDIR  = ../../src/acse
RTSRCDIR = $(ACROOTDIR)/rtsrc
RTXSRCDIR= $(ACROOTDIR)/rtxsrc
BERSRCDIR = $(ACROOTDIR)/rtbersrc
RTLIBDIR = ../../../lib
SPECSDIR = ../../specs

BERHFILES = $(RTSRCDIR)/asn1type.h $(BERSRCDIR)/asn1ber.h
BERCPPHFILES = \
$(BERHFILES) $(RTSRCDIR)/asn1CppTypes.h $(BERSRCDIR)/asn1BerCppTypes.h

CFLAGS	= -D_TRACE $(CDEBUG_) $(CVARSMTD_) $(MCFLAGS) $(CFLAGS_)
CCFLAGS = $(CFLAGS) $(XMLDEFS)
RTCFLAGS = $(CFLAGS)
BERCFLAGS = $(CFLAGS)
RTCCFLAGS = $(CCFLAGS)
BERCCFLAGS = $(CCFLAGS)
IPATHS = -I. -I$(ACSE_SRCDIR) -I$(CSTA_SRCDIR) -I$(RTSRCDIR) \
-I$(OSROOTDIR) -I$(ACROOTDIR) -I$(RTXSRCDIR) -I$(BERSRCDIR) $(IPATHS_)
LINKOPT	= $(LINKOPT_)
LPATHS    = $(LPPFX)$(LIBDIR) $(LPPFX)$(RTLIBDIR) $(LPATHS_)
LDPATHS   = $(LPPFX)$(LIBDDIR) $(LPPFX)$(RTLIBDIR) $(LPATHS_) 
LDLLPATHS = $(LPPFX)$(DLLDIR) $(LPATHS_)
BSLIBS  = $(LLBER) $(LLRT) $(LLSYS) 

LLCSTA	= cstap1$(A)
LLCSTAMT	= cstap1$(MTA)
LLCSTAMD	= cstap1$(MDA)
LLCSTAIMP= cstap1$(IMP)

CSTALIBNAME    = cstap1$(A)
CSTALIBMTNAME  = cstap1$(MTA)
CSTALIBMDNAME  = cstap1$(MDA)
CSTALIBIMPNAME = cstap1$(IMP)
CSTALIBS = $(LLCSTA)

LLACSE	= acse$(A)
LLACSEMT	= acse$(MTA)
LLACSEMD	= acse$(MDA)
LLACSEIMP= acse$(IMP)

ACSELIBNAME    = acse$(A)
ACSELIBMTNAME  = acse$(MTA)
ACSELIBMDNAME  = acse$(MDA)
ACSELIBIMPNAME = acse$(IMP)
ACSELIBS = $(LLACSE)

